### Function

# Gtk CellLayoutDataFunc

since: 4.0

#### Declaration

    void
    (* GtkCellLayoutDataFunc) (
      GtkCellLayout* cell_layout,
      GtkCellRenderer* cell,
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

A function which should set the value of `cell_layout`’s cell renderer(s) as appropriate.

Available since: 4.0

#### Parameters

`cell_layout`

  Type: `GtkCellLayout`

  A `GtkCellLayout`

  The data is owned by the caller of the function.

`cell`

  Type: `GtkCellRenderer`

  The cell renderer whose value is to be set.

  The data is owned by the caller of the function.

`tree_model`

  Type: `GtkTreeModel`

  The model.

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter` indicating the row to set the value for.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data passed to `gtk_cell_layout_set_cell_data_func()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.